%global srcname pytest-mypy
Name:    python-%{srcname}
Version: 0.10.3
Release: 1%{?dist}
Summary: Mypy static type checker plugin for pytest

License: MIT
URL:     https://github.com/realpython/pytest-mypy

Source0: %pypi_source

Patch0:  0001-Relax-tox-dependencies.patch

BuildArch:     noarch
BuildRequires: python3-devel

%global _description %{expand:
Mypy static type checker plugin for pytest

- Runs the mypy static type checker on your source files as part of your pytest test runs.
- Does for mypy what the pytest-flake8 plugin does for flake8.
- This is a work in progress – pull requests appreciated.}

%description %_description

%package -n python3-%{srcname}
Summary: %{summary}

%description -n python3-%{srcname} %_description

%generate_buildrequires
%pyproject_buildrequires -t

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l pytest_mypy

%check
%tox

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst changelog.md

%changelog
* Mon Jul  8 2024 David Shea <reallylongword@gmail.com> - 0.10.3-1
- Initial package
